export const AxisLeft = ({yScale, innerWidth, tickOffset=3}) =>
  yScale.domain().map((tickValue) => (
    <g className="tick" transform={`translate(${0}, ${yScale(tickValue)})`}>
      <line x2={innerWidth}  />
      <text
        key={tickValue}
        style={{ textAnchor: 'end' }}
        dy="1.52em"
        x={-tickOffset}
        y={0}
      >
        {tickValue}
      </text>
    </g>
  ));