import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'data.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = (d) => {
      d.sepal_length = +d["Sepal.Length"];
      d.sepal_width = +d["Sepal.Width"];
      d.petal_length = +d["Petal.Length"];
      d.petal_width = +d["Petal.Width"];
      
      const toDelete = ["Sepal.Length",
                       "Sepal.Width",
                       "Petal.Length",
                       "Petal.Width"]
      
      toDelete.forEach(oldName => {
      	delete d[oldName];
      });
    	
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  console.log(data)
  return data;
};