export const Marks = ({
  data,
  yScale,
  xScale,
  xValue,
  yValue,
  tooltipFormat,
  circleRadius
}) =>
  data.map((d) => (
    <rect
      className="mark"
      x={0}
      //cx={}
      height={yScale.bandwidth()}
      width={xScale(xValue(d))}
      y={yScale(yValue(d))}
      r={circleRadius}
    >
      <title>{xValue(d)}</title>
    </rect>
  ));
